UIExtendedDataTable (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UIExtendedDataTable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIExtendedDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptorBase
                      org.ajax4jsf.component.UIDataAdaptor
                          org.ajax4jsf.component.SequenceDataAdaptor
                              org.richfaces.component.UIDataTable
                                  org.richfaces.component.UIExtendedDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Filterable, org.richfaces.component.Selectable, org.richfaces.component.Sortable2

Direct Known Subclasses:
  HtmlExtendedDataTable

    public abstract class UIExtendedDataTable

extends UIDataTable
implements org.richfaces.component.Selectable, org.richfaces.component.Filterable, org.richfaces.component.Sortable2

JSF component class

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptorBase
`org.ajax4jsf.component.UIDataAdaptorBase.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptorBase.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` COMPONENT_FAMILY
`static java.lang.String` | `COMPONENT_TYPE` COMPONENT_TYPE
`protected ExtendedDataTableState` | `state`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptorBase
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIExtendedDataTable()`

Method Summary
`void` | `beforeRenderResponse(javax.faces.context.FacesContext context)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`protected org.ajax4jsf.model.ExtendedDataModel` | `createDataModel()`
`void` | `disableGrouping()`
`java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
`abstract java.lang.Object` | `getActiveRowKey()`
`java.util.Iterator<UIColumn>` | `getChildColumns()`
`java.lang.String` | `getColumnSize(javax.faces.component.UIComponent column)`
`UIColumn` | `getGroupByColumn()` Get column component which the data is grouped by.
`java.lang.String` | `getGroupByColumnId()` Get id of column which the data is grouped by.
`abstract java.lang.String` | `getGroupingColumn()`
`protected java.util.Collection<java.lang.Object>` | `getGroupPriority()`
`java.util.List<javax.faces.component.UIComponent>` | `getSortedChildren()`
`java.util.Iterator<UIColumn>` | `getSortedColumns()`
`protected ExtendedDataTableState` | `getState()`
`abstract java.lang.String` | `getTableState()`
`int` | `getVisibleColumnsCount()`
`boolean` | `groupIsExpanded(int index)`
`boolean` | `isColumnVisible(javax.faces.component.UIComponent column)`
`boolean` | `isGroupingOn()`
`void` | `processChangeColumnVisibility(org.richfaces.event.extdt.ChangeColumnVisibilityEvent event)`
`void` | `processColumnResize(org.richfaces.event.extdt.ColumnResizeEvent event)`
`void` | `processDradDrop(org.richfaces.event.extdt.DragDropEvent event)`
`void` | `processFilteringChange(org.richfaces.event.extdt.ExtTableFilterEvent event)`
`void` | `processSortingChange(org.richfaces.event.extdt.ExtTableSortEvent event)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`protected void` | `resetDataModel()` Original version of this method is defined in `UIDataAdaptor` and is called before RENDER_RESPONSE phase.
`protected void` | `resetGroupVisibilityState()`
`void` | `resetState()`
`abstract void` | `setActiveRowKey(java.lang.Object activeRowKey)`
`void` | `setGroupByColumn(UIColumn column)`
`abstract void` | `setGroupingColumn(java.lang.String groupingColumn)`
`abstract void` | `setTableState(java.lang.String tableState)`
`void` | `toggleGroup(int index)`
`protected void` | `updateTableState(javax.faces.context.FacesContext context)` Puts own state into component state.

Methods inherited from class org.richfaces.component.UIDataTable
`columns, dataChildren, getSortMode, getSortPriority, restoreState, saveState, setSortMode, setSortPriority`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptorBase
`addAjaxKeyEvent, addRequestKey, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processDecodes, processUpdates, processValidators, processValidators, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Selectable
`getSelection, setSelection`

Methods inherited from interface org.richfaces.component.Filterable
`getFilterFields, setFilterFields`

Methods inherited from interface org.richfaces.component.Sortable2
`getSortFields, setSortFields`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  COMPONENT_TYPE

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  COMPONENT_FAMILY

  See Also:
    Constant Field Values

### state

    protected ExtendedDataTableState state

Constructor Detail

### UIExtendedDataTable

    public UIExtendedDataTable()

Method Detail

### getActiveRowKey

    public abstract java.lang.Object getActiveRowKey()

### setActiveRowKey

    public abstract void setActiveRowKey(java.lang.Object activeRowKey)

### getGroupingColumn

    public abstract java.lang.String getGroupingColumn()

### setGroupingColumn

    public abstract void setGroupingColumn(java.lang.String groupingColumn)

### setTableState

    public abstract void setTableState(java.lang.String tableState)

### getTableState

    public abstract java.lang.String getTableState()

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `org.ajax4jsf.component.UIDataAdaptorBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `org.ajax4jsf.component.UIDataAdaptorBase`

### getSortedColumns

    public java.util.Iterator<UIColumn> getSortedColumns()

### getChildColumns

    public java.util.Iterator<UIColumn> getChildColumns()

### processDradDrop

    public void processDradDrop(org.richfaces.event.extdt.DragDropEvent event)

### getSortedChildren

    public java.util.List<javax.faces.component.UIComponent> getSortedChildren()

### processChangeColumnVisibility

    public void processChangeColumnVisibility(org.richfaces.event.extdt.ChangeColumnVisibilityEvent event)

### processSortingChange

    public void processSortingChange(org.richfaces.event.extdt.ExtTableSortEvent event)

### processFilteringChange

    public void processFilteringChange(org.richfaces.event.extdt.ExtTableFilterEvent event)

### isColumnVisible

    public boolean isColumnVisible(javax.faces.component.UIComponent column)

### processColumnResize

    public void processColumnResize(org.richfaces.event.extdt.ColumnResizeEvent event)

### getColumnSize

    public java.lang.String getColumnSize(javax.faces.component.UIComponent column)

### isGroupingOn

    public boolean isGroupingOn()

### getGroupByColumnId

    public java.lang.String getGroupByColumnId()

  Get id of column which the data is grouped by. First tries to get it from the table state. If the table state doesn't provide such information, get from component attribute.

  Returns:
    id of column which the data is grouped by

### getGroupByColumn

    public UIColumn getGroupByColumn()

  Get column component which the data is grouped by. First tries to get it from the table state. If the table state doesn't provide such information, get from component attribute.

  Returns:
    column which the data is grouped by

### setGroupByColumn

    public void setGroupByColumn(UIColumn column)

### resetGroupVisibilityState

    protected void resetGroupVisibilityState()

### disableGrouping

    public void disableGrouping()

### groupIsExpanded

    public boolean groupIsExpanded(int index)

### toggleGroup

    public void toggleGroup(int index)

### getGroupPriority

    protected java.util.Collection<java.lang.Object> getGroupPriority()

### getVisibleColumnsCount

    public int getVisibleColumnsCount()

### createDataModel

    protected org.ajax4jsf.model.ExtendedDataModel createDataModel()

  Overrides:
    `createDataModel` in class `UIDataTable`

### resetDataModel

    protected void resetDataModel()

  Original version of this method is defined in `UIDataAdaptor` and is called before RENDER_RESPONSE phase. In that version data model is reseted which causes need to sort and filter every time component is rendered.

  Overrides:
    `resetDataModel` in class `org.ajax4jsf.component.UIDataAdaptorBase`

### resetState

    public void resetState()

### fixedChildren

    public java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

  Overrides:
    `fixedChildren` in class `UIDataTable`

### beforeRenderResponse

    public void beforeRenderResponse(javax.faces.context.FacesContext context)

  Overrides:
    `beforeRenderResponse` in class `org.ajax4jsf.component.UIDataAdaptorBase`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `org.ajax4jsf.component.UIDataAdaptorBase`

### updateTableState

    protected void updateTableState(javax.faces.context.FacesContext context)

  Puts own state into component state.

### getState

    protected ExtendedDataTableState getState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.